Get a single component
curl --request GET \
--url https://api.app.hrizn.io/v1/public/content/{id}/components/{type} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.app.hrizn.io/v1/public/content/{id}/components/{type}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/content/{id}/components/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/content/{id}/components/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/content/{id}/components/{type}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "<string>",
"content": {},
"metadata": {},
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}Get a single component
GET
/
content
/
{id}
/
components
/
{type}
Get a single component
Authorizations
Your Hrizn API key (prefix hzk_)
Path Parameters
Content ID
Component type (case-insensitive)
Component type identifier (camelCase). The path parameter is case-insensitive (e.g. body, Body, and BODY all work), but the API returns the canonical camelCase form in responses.
Available options:
body, seoMetadata, pageSlugs, postTags, blogCategories, searchIntent, facebookSnip, twitterSnip, instagramSnip, googleBusinessSnip, videoScript, articleSchema, authorSchema, organizationSchema, vehicleListingSchema, faqSchema, eventSchema, qaPageSchema, layout_html Response
Single component
Hide child attributes
Hide child attributes
Component type identifier (camelCase). The path parameter is case-insensitive (e.g. body, Body, and BODY all work), but the API returns the canonical camelCase form in responses.
Available options:
body, seoMetadata, pageSlugs, postTags, blogCategories, searchIntent, facebookSnip, twitterSnip, instagramSnip, googleBusinessSnip, videoScript, articleSchema, authorSchema, organizationSchema, vehicleListingSchema, faqSchema, eventSchema, qaPageSchema, layout_html Last modified on July 1, 2026
⌘I
